
/*!
 ***************************************************************************
 * \file
 *    biariencode.h
 *
 * \brief
 *    Headerfile for binary arithmetic encoding routines
 *
 * \author
 *    Detlev Marpe,
 *    Gabi Blaettermann
 *    Copyright (C) 2000 HEINRICH HERTZ INSTITUTE All Rights Reserved.
 *
 * \date
 *    21. Oct 2000
 **************************************************************************
 */


#ifndef _BIARIENCOD_H_
#define _BIARIENCOD_H_


/************************************************************************
 * D e f i n i t i o n s
 ***********************************************************************
 */

// some definitions to increase the readability of the source code

#define Elow                      (eep->Elow)
#define Erange                    (eep->Erange)
#define Ebits_to_follow           (eep->Ebits_to_follow)
#define Ebuffer                   (eep->Ebuffer)
#define Ebits_to_go               (eep->Ebits_to_go)
#define Ecodestrm                 (eep->Ecodestrm)
#define Ecodestrm_len             (eep->Ecodestrm_len)
#define Ecodestrm_laststartcode   (eep->Ecodestrm_laststartcode)
#define B_BITS                    10 // Number of bits to represent the whole coding interval
#define ONE                       (1 << B_BITS)
#define HALF                      (1 << (B_BITS-1))
#define QUARTER                   (1 << (B_BITS-2))


#endif  // BIARIENCOD_H

